Sample: PSVIWriter

PSVIWriter

PSVIWriter shows how to access the Post Schema Validation Infoset (PSVI) and Schema Component Model information for the parsed document.

Running PSVIWriter

This program parses the specified XML file, then exposes the PSVI and Schema Component Model information.

    Usage:
        PSVIWriter [options] <XML file | List file>

    This program invokes the SAX2XMLReaderImpl, and then exposes the
    underlying PSVI of each parsed XML file, using SAX2 API.

    Options:
        -f          Enable full schema constraint checking processing. Defaults to off.
        -o=xxx      Output PSVI to file xxx (default is stdout)
        -e=xxx      Output errors to file xxx (default is stdout)
        -u=xxx      Handle unrepresentable chars [fail | rep | ref*].
        -x=XXX      Use a particular encoding for output (UTF8*).
        -l          Indicate the input file is a List File that has a list of xml files.
                    Default to off (Input file is an XML file).
        -?          Show this help.

      * = Default if not provided explicitly.

Here is some sample output from PSVWriter (as the output is verbose it has been truncated)

    cd &XercesC3InstallDir;/samples/data
    PSVIWriter personal.xml

    <document xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                 xmlns:psv="http://apache.org/xml/2001/PSVInfosetExtension"
                 xmlns="http://www.w3.org/2001/05/XMLInfoset">
    	<characterEncodingScheme>UTF8</characterEncodingScheme>
    	<standalone xsi:nil="true"/>
    	<version>1.0</version>
    	<children>
    		<comment>
    			<content> @version:  </content>
    		</comment>

    ...